> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Knowledge Base

> Displays the specified knowledge base.



## OpenAPI

````yaml GET /api/v1/knowledge-bases/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/knowledge-bases/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the knowledge base.
        example: 01kpwc4jtev0fs10ycryj2yawr
        required: true
        schema:
          type: string
    get:
      tags:
        - Knowledge Base
      summary: Show Knowledge Base
      description: Displays the specified knowledge base.
      operationId: showKnowledgeBase
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44ex4vpfz0bxwp4jm60sc
                    name: aut adipisci quidem
                    texts: []
                    urls: []
                    files: []
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                    workspace_id: 01kqh44ewqq2aks2hqtamhbmwg
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44ex4vpfz0bxwp4jm60sc
                      name:
                        type: string
                        example: aut adipisci quidem
                      texts:
                        type: array
                        example: []
                      urls:
                        type: array
                        example: []
                      files:
                        type: array
                        example: []
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      workspace_id:
                        type: string
                        example: 01kqh44ewqq2aks2hqtamhbmwg
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````